You must log in to use subscribtions.

Clear message

Scipy/numpy license compatibility

This document indicates which open source licenses are compatible/incompatible with numpy and scipy in the context of including third party code in numpy or scipy. This document does NOT cover the issue of whether or not you may include code from numpy or scipy into your own project. If a particular license is not mentioned here, it is probably incompatible, but it is often worth asking on the mailing lists.

Compatible

Compatible means that code distributed under these licenses is suitable for inclusion in numpy and scipy. Namely, the license of the code should not have more restrictions than what the BSD license of numpy and scipy already imposes.

  1. BSD

  2. MIT

  3. Other ad hoc license grants which are substantially similar in their permissiveness. Ask on the mailing lists if you have doubts.

Incompatible

Incompatible means that code distributed under these licenses should NOT be added to scipy or numpy.

  1. Code which is found with no specific license or copyright mentioned. You must contact the author for clarification in such cases. Note that many useful codes were written long ago when copyright was dealt with more loosely among computational scientists. The absence of a license means that we cannot use the code, not that it is in the public domain. Much of the code on Netlib, for example, falls into this category.

  2. GNU GPL (General Public License)

  3. GNU LGPL (Lesser General Public License)

  4. Code which is available for "non-commercial use only" or for "academic use only".
  5. Code which requires, and not just requests, citation in publications that use the software.

If you find unlicensed or incompatibly licensed code that you want to include in scipy, you may ask the author to relicense his code under the BSD license. Please be polite; you are representing the scipy community. If the author has explicitly used a non-BSD license, he may very well have a good reason. Reasonably often, though, they have just picked a license without having much familiarity with the available options.

License Compatibility (last edited 2009-09-11 20:26:55 by RobertKern)